Trying to install NoMachine 6.9.2 (aarch64.rpm)” on IMX8

Forums / NoMachine for ARM / Trying to install NoMachine 6.9.2 (aarch64.rpm)” on IMX8

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #26890
    Avatarvipul kumar
    Participant

    I am trying to install NoMachine for ARM (ARMv8) rpm package in Automotive grade Linux of IMX8. Its throwing below error:

    imx8mqevk:/home/wgt# rpm -ivh nomachine_6.9.2_1_aarch64.rpm
    Verifying…                          ################################# [100%]
    Preparing…                          ################################# [100%]
    Updating / installing…
    1:nomachine-6.9.2-1                ################################# [100%]

    Usage: nxserver ACTION

    Actions:

    –install        {SYSTEM}   Run the NoMachine server install procedure for the
    specified system or distribuition

    –update         {SYSTEM}   Run the NoMachine server update procedure for the
    specified system or distribution

    –uninstall                 Run the NoMachine server uninstall procedure.

    –pre-uninstall             Disable access to new NX sessions, terminate
    sessions and reset the session DBs.

    –keygen                    Generate a new pair of SSH keys for the NoMachine
    login. After running this procedure, clients will
    use the key: /usr/NX/share/keys/default.id_dsa.key
    to connect to this NX server.

    –keyrestore                Restore the SSH key provided with the server
    package. Current key will be moved to
    default.id_dsa.key.backup file.

    –help                      Show this message

    The specified SYSTEM must be one of the following operating systems.
    If not the NoMachine setup will try to autodetect the system or will choose
    the layout that better resembles one of the known OS.

    redhat       Red Hat Enterprise 4 and later.
    suse         SLED 10 and later, SLES 10 and later, Open SUSE 10 and later.
    slackware
    mandriva     Mandriva 2009 and later.
    debian       Debian 4.0 and later.
    Ubuntu 8.04 and later.
    fedora       Fedora 10 and later.
    NX> 704 ERROR: Unsupported operating system ‘linux’.

    Looking further to hear from you asap.

    Thanks!

    Vipul Kumar

    #27058
    AvatarBritgirl
    Keymaster

    Hi, sorry for the late reply. We are in the process of checking whether NoMachine can be used with this particular distribution and will update the topic with our findings soon.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.